/*
SpeciesChecker
by Cory McKay

CLASS NAME:		ControllerGeneral
CLASS TYPE:		Applier of analysis rules
DESCRIPTION:	Objects of this class oversee the application of rules relating to the overall aspect
				of Composition objects. The rules that are applied are contained in AnalyzerGeneral
				objects. ControllerGeneral objects should be eliminated after the check_general()
				method has been called.
*/


class ControllerGeneral
{
	/* FIELDS ******************************************************************/


	private ErrorList errors_found;			// the list of errors found
	private AnalyzerGeneral general_rules;	// an object containing the rules to be applied


	/* CONSTRUCTOR *************************************************************/


	ControllerGeneral(Composition piece)
	{
		// Create the list used to store errors
		errors_found = new ErrorList();
		
		// Create the class containing the rules to be applied
		general_rules = new AnalyzerGeneral(errors_found, piece.get_time_signature(), piece.get_number_of_bars());
	}


	/* PUBLIC METHODS **********************************************************/


	public ErrorList check_general(int[] rules_to_be_applied)
	// Performs the analysis of the piece and returns the list of errors that were found.
	// Only the rules indicated in rules_to_be_applied are applied.
	{
		// Analyze the cantus and add error information to errors_found
		if (rules_to_be_applied[0] == 1)
			general_rules.check_meter();
		if (rules_to_be_applied[1] == 1)
			general_rules.check_length();
		general_rules = null;


		// Return the list of errors
		return errors_found;
	}
}