/*
SpeciesChecker
by Cory McKay

CLASS NAME:		NewComposition
CLASS TYPE:		GUI data structure
DESCRIPTION:	Objects of this class are passed from a NewDialog dialog box to a SplitPaneFrame
				GUI to communicate information about a composition and its voices (as specified in
				the NewDialog dialog box) as well as a string or human readable information detailing
				the selections made in the NewDialog dialog box.
LIMITATIONS:	Appropriate only for species counterpoint, not 4-part harmonies.
*/


class NewComposition
{  
	/* FIELDS ******************************************************************/


	public String composition_display;		// the composition information that will be displayed by the GUI
	public Composition new_composition;		// the new Composition object
	public Voice new_cantus_voice;			// the cantus Voice of the new Composition object
	public Voice new_counterpoint_voice;	// the counterpoint Voice of the Composition object

	
	/* CONSTRUCTOR *************************************************************/


	public NewComposition(String type, String key, String meter, String measures,
		Composition new_comp, Voice new_cant, Voice new_counter)
	// Formats composition display
	{
		composition_display = "TYPE OF COMPOSITION: " + type + "\n" +
			"KEY OF COMPOSITION: " +  key + "\n" +
			"METER OF COMPOSITION: " + meter + "\n" +
			"LENGTH IN MEASURES: " + measures;
		new_composition = new_comp;
		new_cantus_voice = new_cant;
		new_counterpoint_voice = new_counter;
	}
}